body {
    background-color: rgb(153, 204, 224);
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: self-start;
    margin-left: 50px;
    padding-top: 5vh;
    gap: clamp(21px, 10vh, 216px);
    font-family: sans-serif;
}

.cn {
    position: relative;
    width: clamp(300px, 50vw, 2160px);
    display: flex;
    justify-content: center;
}

.card {
    display: flex;
    margin: 0;
    box-sizing: border-box;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.2);
}

.info {
    width: clamp(0px, 20vh, 1920px);
    height: 5vh;
    background-color: rgb(204, 204, 204);
    border: 1vh solid rgb(172, 171, 171);
    border-radius: 6vh;
    box-sizing: border-box;
    align-items: center;
    justify-content: flex-start;
    font-size: 3vh;
    gap: 2vh;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
}

.button {
    z-index: 1;
    width: 3vh;
    height: 3vh;
    border-radius: 6vh;
    background-color: rgb(202, 69, 69);
    border: 1vh solid rgb(185, 0, 0);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    outline: none;
    transition-duration: 200ms;
    box-sizing: border-box;
    text-decoration: none;
    color: #000000;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.2);
}

.serverbutton {
    position: relative;
    z-index: 3;
    width: 100%;
    height: 30vh;
    border-radius: 5vh;
    background-color: rgb(203, 225, 245);
    border: 1vh solid rgb(170, 189, 206);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2vw;
    cursor: pointer;
    outline: none;
    transition-duration: 200ms;
}

.serverbutton:hover {
    scale: 1.1;
}

.dm {
    position: absolute;
    top: 0;
    z-index: 2;
    width: clamp(240px, 40vw, 1800px);
    height: auto;
    border-bottom-left-radius: 5vh;
    border-bottom-right-radius: 5vh;
    background-color: rgb(234, 245, 255);
    border: 1vh solid rgb(204, 217, 230);
    padding: 3vw;
    transform: translateY(0);
    transition: transform 0.5s ease, opacity 0.3s ease;
    pointer-events: none;
}

.dm.open {
    transform: translateY(29vh);
    pointer-events: auto;
}

.card-links {
    width: clamp(300px, 40vh, 1920px);
    height: 50vh;
    border-radius: 5vh;
    background-color: white;
    border: 1vh solid gainsboro;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 2vw;
    box-sizing: border-box;
    gap: 2vh;
}

.theserver {
    color: rgb(0, 0, 0);
    text-align: center;
    font-size: 10vh;
    text-shadow: 0.4vw 0.4vh 2vh rgba(0, 0, 0, 0.2);
    box-shadow: 0px 2px 15px (0, 0, 0, 0.2);
}

.rao {
    color: rgb(0, 0, 0);
    text-align: center;
    font-size: 2.5vh;
}

.text {
    color: rgb(0, 0, 0);
    text-align: left;
    font-size: 1.5vh;
}
